WiseVIEW User's Manual

sdsLogo.gif (6056 bytes)


Window Structure

The window consists of 6 parts; menu bar, tool bar, status bar area, window area, exploring area, and message area. The menu bar and the tool bar areas contain icons and buttons of WiseVIEW. The window area displays the opened file, and is the working area for markup. The message area shows information about the drawing, error messages or results of measurement. In addition, the exploring area enables to open files from file directories.

Fullscreen.bmp (1945654 bytes)

Figure 1. WiseVIEW Window Structure


Mouse

  • The left button: select button

The left mouse button is used to select elements or determine the positions as used in many GUI applications. All inputs can be made by clicking this button. Double clicking this button also indicates the end of input.

1. Insert markup (selection, circle, leader, rectangle)

2. Select an area to print / Select a area to zoom

3. Measurement / Determine a position of signature

4. Zoom in/out (Dynamic View Mode)

5. Finish input (Double click)

  • The right button: rotation of screen ( Dynamic view mode)

Only used for dynamic view mode to rotate an element and indicate usable menu at the moment.

1.Rotate screen

2.Indicate usable menu

  • The Left button + The right button : move screen ( Dynamic view mode)

Only used for dynamic view mode to move a screen element (In case of 3-button mouse, the middle button is used)

1. Move screen


Untitled

Supportable File Format

WiseVIEW supports 2D CAD data, 3D CAD data, Image data, and Word processor data including MS office document.

classification | File
2D CAD Data | - AutoCAD(*.dwg,*.dxf) - Hpgl(*.gl,*.gl2,*.hpgl) - Catia 2D(*,mod,*.model) - uniCAD(*.mdw) - MagicCAD(*.mdl) - Microstation(*.dgn) - Gerber(*.gb,*.gbr) - DWF(*.dwf) - HP ME10 MI(*.mi) - I-DEAS Drafting ASC(*.asc)
3D CAD Data | - IGES(*.igs,*.iges) - Catia 3D(*.mod,*.model) - STL(*.stl) - STEP(*.stp,*.step) - ISO G-Code(*.iso,*.nc) - WaveFront(*.obj)
Image Data | - Bitmap(*.bmp) - Window Metal File(*.wmf) - Tiff(*.tif) - JPEG(*.jpg) - GIF(*.gif) - PDF
MS Office Document | - Excel(*xls) - Word(*.doc) - PowerPoint(*.ppt) - PostScript(*.ps)
Word Processor Document | - HWP(*.hwp) - HunMinJungUm(*.gul) - Arirang(*.hwd,*.hgn) - Word Perfect
etc. | WinZip, all sorts of Text file


WiseVIEW Run

There are three ways to start wiseVIEW.

  • Double click the icon
  • wpe2.jpg (1296 bytes) Operate wiseVIEW.exe
  • Select wiseVIEW file through Window Explore function, and go to 'View with wiseVIEW' on the context menu that shows up after clicking the right button on your mouse. (Shell Type) In addition, read your file through drag and drop method while wiseVIEW is operating.


API Function (OLE Automation)

To integrate anther applications, WiseVIEW offers ActiveX control and OLE Automation as well as Plug-In version for the Internet browser usage.

  • ActiveX Control

It is a custom control unit embedded into different application programs. ActiveX Control supports edit functions of OLE Automation and OLE Visual as. In general, it operates through in-processor server and communicates with other programs though Property, Method, and Event method.

  • OLE Automation

It is an advanced control mechanism that takes out some functions from an application program and enables them to share with other programs.

  • Plug-In

Plug-In is similar to helper application program. It is a DLL which supports particular files and allows to read files in the browser. According to the ways of operation, it divides into Embedded Mode and Full Frame Mode. Embedded Mode operates only in the designated areas of the browser, and Full Frame Mode operates in the entire window of the browser.


Input Command

There are two ways to operate commands.

  • Press Shortcut key
  • Select Menu

Supportable File

[Supportable File Format]

Supportable Format | File Format
3D CAD | IGES, STEP, G-Code/NC Data, WaveFront
CATIA | CATIA2D, CATIA3D
2D CAD | uniCAD(mdw), MagicCAD(mdl), DXF
CAD | 2DCAD+3DCAD+CATIA+STL+HPGL+Gerber+DWG
MS-Office | MSWord, MSPowerPoint, MSExcel
Image | bmp, tif, jpg, gif, ps, wmf
ALL | All of File Format

For example, in case of file comparison supportable file format is CAD file. 2D format (mdw, mdll, DXF format), 3D CAD format (IGES, STEP format), and CATIA, STL, HPGL, Gerber, DWG format are supportable.


Open

open.bmp (2054 bytes)

Opens a drawing file. WiseVIEW supports following file formats: CAD file formats (DWG/DXF, IGES, MagicCAD MDL, I-DEAS Drafting, Gerber,, STL, STEP, CATIA, and etc.), Image file formats (TIFF, JPG, and etc.), and Office file formats (Msoffice and etc.)

  • Input method

Shortcut Key: Ctrl + O

Menu: File - Open

  • Supportable format

All

  • Instruction

Click the open file icon or select from the file menu. If a desired file contains the markup file, it automatically opens the markup file as well.


Untitled

Connect FTP

WiseVIEW support File-Open by FTP connection.

  • Input method

Menu: File - Connect FTP

  • Supportable format

All

  • Instruction

To connect FTP server, input server name, address, and user name in "Open FTP Server" dialog such as [Figure 1]. After connection FTP server, user can use FTP tab like file explorer. User can save the file without displaying by using clicking left-button of mouse[Figure 2].

Figure 1. Open FTP Server

Figure 2. FTP tab


Close

Closes the opened file.

  • Input Method

Shortcut Key: Alt + X

Menu: File - Close

  • Supportable format

All


File Compare

compare.bmp (2054 bytes)

Compares two files and automatically highlights design changes using different colors.

  • Input Method

Menu: File - File Compare

  • Supportable format

CAD

  • Instruction

When the file compare menu is selected, a file dialog box pops up. Select the first file to be compared. Then select the second file using a file dialog box. After that, contents of these two files are displayed side by side on the screen. You can easily notify design changes because the parts drawn in the same color are the same and the different designs are drawn in different colors.

Figure 1. 3D File Compare

In case of 2D file comparison, displays the original files on the upper part and shows the differences through All Entities, Added Entities, and Deleted Entities options as displayed on the lower part. When All Entities option is selected, white represents the shared or same parts. In addition, red represents the parts only existing in the first file, and sky blue represents the part only existing in the second file.

compare_2d.bmp (1440054 bytes)

Figure 2. 2D File Compare


File Append

add.bmp (2054 bytes)

Show multiple files on a window screen. If each file represents each part of an object, you can create an assembled view.

  • Input Method

Menu: File - File Append

  • Supportable Format

CAD

  • Instruction

While a file is opened, click the file append icon or select from the file menu. Choose the adding file and its color. Click the finish button.

add.bmp (1440054 bytes)

Figure 1. File Append


Save As

save.bmp (2054 bytes)

CAD data files can be saved as IGES file type, and office documents can be saved as TXT file type. Image files can be saved as bmp, jpg, tif, and gif file types(CATIA2IGES Export : Optional License).

  • Input Method

Menu: File - Save as

  • Supportable Format

ALL


Untitled

Save As Image

CAD data files can be saved as Image file type.

  • Input Method

Menu: File - Export - Save as Image

  • Supportable Format

CAD

CAD data files can be saved as Image file type(BMP, JPG, TGA, PCX, WMF,TIFF), and user can define the depth of color and image type.

Figure 1. Image Convert


Save As STL

3D CAD data and CATIA3D files can be saved as STL file type(Optional License).

  • Input Method

Menu: File - Export - Save as Image

  • Supportable Format

CAD

3D CAD data CATIA3D files can be saved as STL file type. If there is no mesh information, WiseVIEW makes mesh information automatically.


Print

print.bmp (2054 bytes)

Prints a file. First, choose a printer in the 'name area' using the print dialog box. Then select print range and determine the number of copies to be printed. If you determine to print "selected", you have to define the starting and ending page.

  • Input Method

Shortcut Key : Ctrl + P

Menu: File - Print

  • Supportable Format

ALL


Preview

Enables you to get a preview of a drawing before printing. You can print directly from print preview menu.

  • Input Method

Shortcut Key: File - Print Preview

  • Supportable Format

ALL


Set Print Area

Sets print area, scale, reference point and offset.

  • Input Method

Menu: File - Set Printer

  • Supportable Format

ALL

  • Instruction

1. Printing Area

Select either full printing or partial printing of the document. If you want to print partial of the document, click the radio button next to "Selected", and select the area with mouse. In addition, printing only the area shown on the screen is also possible.

2. Ratio

Fit to the paper (Fit button) or specific magnification(1:N button)

SetPrintArea.bmp (250526 bytes)

Figure 1. Set Print Area


Set Printer

Sets up the printer. User can select a printer, orientation, and paper size using a dialog box.

  • Input Method

Menu: File - Set Printer

  • Supportable Format

ALL


Exit

Quit WiseVIEW

  • Input Method

Menu: File - Exit


C opy To Clipboard

copy.bmp (2054 bytes)

Copies images to the clipboard. This menu is used to transfer WiseVIEW-3D images to other Windows programs such as word processor or image software

  • Input Method

Shortcut Key: Ctrl + C

Menu: Edit - Copy to Clipboard

  • Supportable Format

ALL

  • Example

Operate this function by reading file. Activate clipboard and copy by pressing Ctrl + V.


Editor Run

run.bmp (2054 bytes)

Executes applied program registered on the system according to file types.

  • Input method

Menu : Edit - Editor

  • Supportable format

All


Status Bar

Turns on/ off Status Bar

  • Input Method

Menu: View - Status Bar


Message Window

Turns on/off Message Window

  • Input Method

Menu: View - Message Window


Explore Window

Turns on/off Explore Window

  • Input Method

Shortcut Key : O

Menu: View -Explore Window


Zoom Fit

ÁÜÇÍ.bmp (2054 bytes)

Displays all elements in the drawing area.

  • Input Method

Shortcut key: F5

Menu: View - Zoom Fit

  • Supportable Format

CAD + Image


Zoom Orgin Size

Zoom In/Out to show original size

  • Input Method

Shortcut Key: F4

Menu: View - Zoom Original

  • Supportable Format

Image


Zoom In

È®´ë.bmp (2054 bytes)

Enlarges the drawing area with the ratio set under Environment menu. (Default zoom in ratio: 2)

  • Input Method

Shortcut Key: F7

Menu: View - Zoom In

  • Supportable Format

Image


Zoom Out

Ãà¼Ò.bmp (2054 bytes)

Zooms out the active drawing area with the ratio set under Environment menu. (Default zoom out ratio: 0.5)

  • Input Method

Shortcut Key: F8

Menu: View - Zoom Out

  • Supportable Format

Image


Zoom Window

ÁÜÀ©µµ.bmp (2054 bytes)

Enlarges a portion of a drawing area and displays it to fit window.

  • Input Method

Shortcut Key: F6

Menu: View - Partial Zoom In

  • Supportable Format

CAD + Image

  • Instruction

After selecting a point where the partial zoom in is needed, move the mouse to create a rectangular area (changes size as mouse moves) and click the left mouse button to confirm. Then, figures inside projected rectangle will be magnified and displayed to fit window.


Rotate 90

¿À¸¥ÂÊ90.bmp (2054 bytes)

Rotates the drawing by 90 degrees of clockwise

  • Input Method

Shortcut Key: Alt + '+'

Menu: View - Rotate - Rotate 90

  • Supportable format

CAD +Image


Rotate -90

¿ÞÂÊ90.bmp (2054 bytes)

Rotates the drawing by 90 degrees of counterclockwise

  • Input Method

Shortcut Key: Alt + '-'

Menu: View - Rotate - Rotate -90

  • Supportable format

CAD+ Image


Rotate 180

Rotates the drawing by 180 degrees

  • Input Method

Menu: View - Rotate - Rotate 180

  • Supportable format

CAD+ Image


Front View

¾Õ.bmp (2054 bytes)

Shows xy plane facing towards +z direction

  • Input method

Shortcut Key: Ctrl + F1

Menu: View - Standard View - Front View

  • Supportable format

3D CAD +CATIA+STL


Back View

µÚ.bmp (2054 bytes)

Shows xy plane facing towards -z direction

  • Input method

Shortcut Key: Ctrl + F2

Menu: View - Standard View - Back View

  • Supportable format

3D CAD +CATIA+STL


Right View

¿À¸¥ÂÊ.bmp (2054 bytes)

Shows yz plane facing towards +x direction

  • Input method

Shortcut Key: Ctrl F3

Menu: View - Standard View - Right View

  • Supportable format

3D CAD +CATIA+STL


Left View

¿ÞÂÊ.bmp (2054 bytes)

Shows yz plane facing towards -x direction

  • Input method

Shortcut Key: Ctrl F4

Menu: View - Standard View - Left View

  • Supportable format

3D CAD +CATIA+STL


Top View

À§ÂÊ.bmp (2054 bytes)

Shows xz plane facing towards +y direction

  • Input method

Shortcut Key: Ctrl F5

Menu: View-Standard View-Up View

  • Supportable format

3D CAD +CATIA+STL


Bottom View

¾Æ·¡ÂÊ.bmp (2054 bytes)

Shows xz plane facing towards -y direction

  • Input method

Shortcut Key: Ctrl F6

Menu: View - Standard View - Down View

  • Supportable format

3D CAD +CATIA+STL


XYZ View

µî°¢¸é.bmp (2054 bytes)

Shows an object from a point (1,1,1) facing the original point.

  • Input Method

Shortcut Key: Ctrl + F7

Menu: View - Standard View - XYZ View

  • Supportable Format

3D CAD + CATIA + STL


Redraw

Redraws contents of screen

  • Input Method

Shortcut Key: F2

Menu: View - Redraw

  • Supportable Format

ALL


Dynamic View

´ÙÀÌ³ª¹Íºä.bmp (2054 bytes)

Provides the same window controls as those of commercial modelers. This is a default mode.

  • Input Method

Shortcut Key: D

Menu: View - Dynamic View

  • Supportable Format

3D CAD + CATIA + STL+DWG

  • Instruction

Zoom in/out: To zoom out the current drawing, press down the left mouse button, and move the mouse to the left. To zoom in, press down the left mouse button, and move the mouse to the right.

Rotation: To rotate the current drawing, press down the right mouse button, and move the mouse.

Translate: To translate the current drawing, Press down both the left and the right mouse buttons and move the mouse.

rotate_initial.bmp (1440054 bytes)

Figure 1. Initial State of Rotation

rotate_2d.bmp (1440054 bytes)

Figure 2. an Example of 2D Rotation

rotate_3d.bmp (1440054 bytes)

Figure 3. an Example of 3D Rotation


Zoom In/Out

Ãà¼Ò_È®´ë.bmp (2054 bytes)

Zooms in/out dynamically

  • Input Method

Shortcut Key: Z

Menu: View - Dynamic - Zoom in/out

  • Supportable File

CAD + Image

  • Instruction

While pressing the left mouse button, move the mouse up (Zoom out) and down (Zoom in).


Move

ÀÌµ¿.bmp (2054 bytes)

Moves elements dynamically

  • Input Method

Shortcut Key: P

Menu: View - Dynamic - Move

  • Supportable Format

CAD + Image

  • Instruction

While pressing the left mouse button, move the mouse to have appropriate view.


Rotate

È¸Àü.bmp (2054 bytes)

Rotates an objects 3 dimensionally

  • Input Method

Shortcut Key: R

Menu: View - Dynamic - Rotate

  • Supportable Format

CAD

  • Instruction

While pressing the left mouse button, move the mouse to rotate elements


Speedy Draw

ºü¸¥º¸±â.bmp (2054 bytes)

When a large file is loaded, dynamic viewing may not be available in real time due to display speed. To overcome this problem, Speedy Mode is used in Dynamic View. When Speedy Mode is on while you zoom in/out, rotate or translate the drawing, the actual drawing is not displayed on the screen. Instead, a Min-Max Box, which wraps the drawing, is displayed. After the operation is over, the actual drawing is displayed on the screen.

  • Input Method

Menu: View - Dynamic -Speedy view

  • Supportable Format

3D CAD + CATIA + STL

fastview.bmp (1440054 bytes)

Figure 1. Speedy Draw


Sectional View

´Ü¸éº¸±â.bmp (2054 bytes)

Cuts a 3D object as desired, and displays and saves sectional planes.

  • Input Method

Shortcut Key: S

Menu: View - Section

  • Supportable Format

3D CAD + CATIA + STL

  • Instruction
  1. Save

    2. STL file save: when reading STL file, saves display as STL file format

    DXF file save: when sectioning is in the process, saves sectional profile as DXF file format

  2. Determining Plane

    3. Selecting Two points: when determining a plane, select two temporary points on the screen by clicking the left mouse button.

    Selecting Three points: when determining a plane, select three points on the object by clicking the left mouse button.

    Selecting Multiple Stages: For staggered style section, when determining planes, select multiple points by clicking the left mouse button as if drawing a polyline. To finish double click the left mouse button. (Only supports STL file format)

  3. View

View sectional plane only: when sectioning is in the process, displays sectional profile only.

View all: Displays all the sectioned figured including sectional profile.

View through section view: change view to show sectional profile.

  • Example

After opening 3D file, click the icon or select menu to operate sectional view. First of all, determine where you want to cut through, and use slide bar to see sectional plane dynamically. (Figure 1)

section.bmp (1440054 bytes)

Figure 1. Sectional View


Isometric View

ÀÔ¹æÃ¼.bmp (2054 bytes)

Displays 3dimensional object without perspective. (Figure 1. Left Window)

  • Input Method

Menu: View - View Mode - Cubic View

  • Supportable Format

3D CAD + CATIA + STL

iso_perspective.bmp (1440054 bytes)

Figure 1. Iso & Perspective View


Perspective View

Á¶°¨µµ.bmp (2054 bytes)

Displays 3dimensional object with perspective. (Figure 1. Right Window)

  • Input Method

Menu: View - View Mode - Perspective View

  • Supportable Format

3D CAD + CATIA + STL

¡¡

iso_perspective.bmp (1440054 bytes)

Figure 1. Iso & Perspective View


Wire Frame

°æ°è¼±.bmp (2054 bytes)

For 3D surface or curved surface, draws only the outlines. (Figure 1, Left Window)

  • Input Method

Shortcut Key: B

Menu: View -Drawing Mode - Wire Frame

  • Supportable Format

3D CAD + CATIA + STL

draw_mode.bmp (1440054 bytes)

Figure 1. Draw Mode


Facet Wire

»ï°¢Çü.bmp (2054 bytes)

Displays entities as a series of triangles. (Figure 1, Middle Window)

  • Input Method

Shortcut Key: F

Menu: View - Drawing Mode - Regen Curve

  • Supportable Format

3D CAD + CATIA + STL

draw_mode.bmp (1440054 bytes)

Figure 1. Draw Mode


Rendering

·£´õ¸µ.bmp (2054 bytes)

Produces smoothly shaded representations of drawing entities.

  • Input Method

Shortcut Key: Q

Menu: View - Drawing Mode - Rendering

  • Supportable Format

3D CAD + CATIA + STL

Flat

°¢Áö°Ô.bmp (2054 bytes)

Renders a curved surface with edges (Figure 1, Left Window)

  • Input Method

Menu: View - Rendering - Edge Rendering

  • Supportable Format

3D CAD + CATIA

Smooth

ºÎµå·´°Ô.bmp (2054 bytes)

Renders a curved surface smoothly (Figure 1, Right Window)

  • Input Method

Menu: View ¡æ Rendering ¡æ Smooth Rendering

  • Supportable Format

3D CAD + CATIA

flat_smooth.bmp (1440054 bytes)

Figure 1. Rendering mode


Hide

¼û±â±â.bmp (2054 bytes)

Hides selected drawing entities (Figure 1, The left window is the result of hiding covering part from the right window)

  • Input Method

Shortcut Key: H

Menu: View - Hide - Hide

  • Supportable Format

3D CAD + CATIA + STL

  • Instruction

Operate Hide function and select entities you want to hide

¡¡

hide_swap_all.bmp (1440054 bytes)

Figure 1. Hide/Swap/All

Swap

¼û±â±â¹ÝÀü.bmp (2054 bytes)

Shows drawing entities which are currently hidden and hides entities which are currently viewed. (Figure 1, The middle window is the result of Swap view function from the left window.)

  • Input Method

Menu: View - Hide - Swap View

  • Supportable Format

3D CAD + CATIA + STL

Show All

¸ðµÎ´Ùº¸±â.bmp (2054 bytes)

Displays all drawing entities including currently hidden ones on the screen. (Figure 1, The right window is the result of show all function from the left and the middle windows.)

  • Input Method

Menu: View - Hide - Show All

  • Supportable Format

3D CAD + CATIA + STL


2D View

2.bmp (2054 bytes)

Views or hides a 2D drawing. View/Hide is a toggle type function (Figure 1, the middle window is the result of hiding 2D data from the right window where 2D and 3D data are mixed)

  • Input Method

Menu: View - Catia - 2D View

  • Supportable Format

CATIA

3D View

3.bmp (2054 bytes)

Views or hides a 3D drawing. View/Hide is a toggle type function (Figure 1, the left window is the result of hiding 3D data from the right window where 2D and 3D data are mixed)

  • Input Method

Menu: View - Catia - 3D View

  • Supportable Format

CATIA

2d_3d.bmp (1440054 bytes)

Figure 1. 2d/3d View


Draft

WiseVIEW support multi draft Catia files. User can select the draft which he wants to view like Figure 1.

  • Input Method

Menu: View - Catia - Draft

  • Supportable Format

CATIA

Figure 1. Catia Draft


Regen Curve

curve±Ù»çÈ.bmp (2054 bytes)

When you magnify a portion of a drawing, drawing entities may be represented as series of straight lines that are angled at the connection points. In this case, Regen Curve menu is used to represent entities with smoothly connected curves. It changes curved lines into poly lines and displays to fit active window. (Figure 1, The right window is the result of Regen Curve function from the left window)

  • Input Method

Shortcut Key: G

Menu: View - Regen Curve

  • Supportable Format

3D CAD + CATIA

curve_regen.bmp (1440054 bytes)

Figure 1. Regeneration of Curve

Regen Surface

°î¸é±Ù»çÈ.bmp (2054 bytes)

Displays curved surface as a series of triangles. (Figure 2, The right window is the result of Regen Facet from the left window) To produce a better representation when drawing is enlarged, Regen Facet is used for the smoother rendering result.

  • Input Method

Menu: View - Regen Facet

  • Supportable Format

3D CAD + CATIA

surf_regen.bmp (1440054 bytes)

Figure 2. Regeneration of Surface


Polygon Culling

When this menu is selected, only the front side of surface is displayed to improve the drawing speed. For STL files, polygon culling is the default mode. Therefore, if you can not see the backside of the drawing and if the file is STL file, then set this mode to off to view the backside. You can get faster display by using this function than using dynamic view mode. (Figure 1, the right window is the result of Polygon Culling from the left window. Default is the value after canceling Polygon Culling)

  • Input Method

Menu: View - Polygon Culling

  • Supportable Format

CAD + CATIA

polygon_culling.bmp (1440054 bytes)

Figure 1. Polygon Culling


Swap Image

Shows the complementary color image of the original

  • Input Method

Menu: View - Swap Image

  • Supportable Format

Image


Define Plane

¸¶Å©¾÷Æò¸éÁöÁ¤.bmp (2054 bytes)

Determines a plan where users want to markup. WiseVIEW offers 3D markup as a basic option. If users don¡¯t indicate a plan and try to markup, it becomes a plan that goes through the center of an object and is horizontal to the screen as a default mode.

  • Input Method

Menu: Markup - Determine plan

  • Supportable File

3D CAD + CATIA + STL

  • Instruction

Select 3points on the outline of an object with the left mouse button. Based on the 3 points, markup plan will be created.

  • Sample

The left window shows the process of selecting 3 points for markup plan, and the right window is the display of markup plan after selecting points. (Figure 1)

markup.bmp (1440054 bytes)

Figure 1. Define Markup Plane


Display Plane

Æò¸éº¸±â.bmp (2054 bytes)

Shows and hides markup plan.

  • Input Method

Menu: Markup -View Plan

  • Supportable File

CAD

Front View

¾Õ¸éº¸±â.bmp (2054 bytes)

Sets up a viewpoint in order to make the front of markup plan horizontal to the present window.

  • Input Method

Menu: Mark up - Front View

Rear View

µÞ¸éº¸±â.bmp (2054 bytes)

Sets up a viewpoint in order to make the back of markup plan horizontal to the present window.

  • Input Method

Menu: Markup - Rear View

  • Supportable Format

CAD

  • Example

The middle window is the display of 'Front View', and the right window shows 'Rear View'. (Figure 1)

markupplane.bmp (1440054 bytes)

Figure 1. Markup Plane


Markup View

¸¶Å©¾÷ºä.bmp (2054 bytes)

When a user is working with markup, Window control activates automatically to fit screen according to the position and the size of a part where he or she wants to markup. Such window control information gets saved with markup data into WiseVIEW. After using markup, if a user changes the viewpoint or uses zoom in/out function, the markup position also changes. In this case, it¡¯s quite hard to see the original markup information so that WiseVIEW offers Go Markup View to show the original setting.

  • Input Method

Menu: Markup - Go Markup View

  • Supportable Format

CAD + Image

  • Instruction

After operating Go Markup View, select Markup data. Then, goes back to the original setting.

  • Example

The left window is when rectangular markup is done. (Figure 1) Operate Go Markup View function and select regular markup. Then, moves back to the original setting where markup actually took place. ( Figure 1, Right Window)

MarkUpView.bmp (1440054 bytes)

Figure 1. Markup View


Display On/Off

¸¶Å©¾÷º¸±â.bmp (2054 bytes)

Shows and hides markups as a toggled type function.

  • Input Method

Menu: Markup - Markup View

  • Supportable Format

CAD + Image

  • Instruction

If operated when markup information is in presence, it hides the information and shows the hidden when operated again.


Delete

¿ä¼Ò»èÁ¦bmp.bmp (2054 bytes)

Deletes selected markup(s)

  • Input Method

Shortcut Key: Alt+D

Menu: Markup - Delete

  • Supportable Format

CAD + Image

  • Instruction

Click the left mouse button on markup information


Save

¸¶Å©¾÷ÀúÀå.bmp (2054 bytes)

Saves all markup information. The name of the file is the same as that of the current drawing file, and the extension name is mrk. For example, after the markup of window.igs file, window. mrk file gets created when operated.

  • Input Method

Shortcut Key: Alt+S

Menu: Markup - Save

  • Supportable Format

CAD + Image


Line

¼±ºÐ.bmp (2054 bytes)

Creates a line for markup

  • Input Method

Shortcut Key: Alt+L

Menu: Markup - Line

  • Supportable Format

CAD + Image

  • Instruction

After the input of the starting point with the left mouse button, Rubber Band will occur. Select the mid-point or the end point with the same button. (Use shift key to draw accurate horizontal or perpendicular lines) Finish input by double clicking the left button.


Circle

¿ø.bmp (2054 bytes)

Creates a circle for markup

  • Input Method

Shortcut Key: Alt+C

Menu: Markup - Circle

  • Supportable Format

CAD + Image

  • Instruction

First, input the center point with the left mouse button. Rubber Band will show up as the mouse moves. Click the left mouse button to finish when desired size is achieved.


Rectangle

»ç°¢Çü.bmp (2054 bytes)

Creates a rectangle for markup

  • Input Method

Shortcut Key: Alt+R

Menu: Markup - Rectangle

  • Supportable Format

CAD + Image

  • Instruction

First, input the starting point with the left mouse button. Rubber Band will show up as the mouse moves. Click the left mouse button to finish when desired size is achieved.


Leader

Áö½Ã¼±.bmp (2054 bytes)

Creates a leader for markup. A leader is a line with an arrow cap

  • Input Method

Shortcut Key: Alt+A

Menu: Markup - Leader

  • Supportable Format

CAD + Image

  • Instruction

After the input of the starting point that becomes the head of leader line with the left mouse button, Rubber Band will occur as the mouse moves. Select the mid-point or the end point with the same button. (Use shift key to draw accurate horizontal or perpendicular lines) Finish input by double clicking the left button. (Figure 1) In addition, see 'setup' or 'Markup setup' for details including arrow size and etc.

MarkUpEx.bmp (1440054 bytes)

Figure 1. Markup Example


Text

¹®ÀÚ.bmp (2054 bytes)

Creates a text for markup.

  • Input Method

Shortcut Key: Alt+T

Menu: Markup - Text

  • Supportable Format

CAD + Image

  • Instruction

When choosing this function, Markup Text dialog will show up. Input text and click Ok button. Then, robber band occurs. Move the mouse to the desired position and click the left button to finish input. In addition, see 'setup' or 'Markup setup' for details including size, ratio, and etc.

MarkUpTextDlg.bmp (175054 bytes)

Figure 1. Markup Text Dialog


Complex

º¹ÇÕÁö½Ã¼±.bmp (2054 bytes)

Creates a circle, a leader, and then inputs text for markup

  • Input Method

Shortcut Key: Ctrl+Shift+C

Menu: Markup - Complex

  • Supportable Format

CAD + Image

  • Instruction

If this function is operated, circle input is required first, and then leader line input, and text input for the last. See circle, leader, and text markup instruction for details.


Signature

½ÂÀÎ.bmp (2054 bytes)

Inputs the approval on the drawing and markups the approval sign of the designated approval file. The approval file is a HPGL file. See ¡®setup¡¯ or ¡®Markup setup¡± for its position.

  • Input Method

Shortcut Key: Alt+G

Menu: Markup - Select

  • Supportable Format

CAD + Image

  • Instruction

Input the approval sign by clicking the left mouse button on the desired place.


Untitled

Linear Dimension

¼±ºÐÄ¡¼ö.bmp (2054 bytes)

Inputs the linear dimension

  • Input Method

Shortcut Key: Alt+Shift+L

Menu: Markup - Linear dimension

  • Supportable Format

CAD + Image

  • Instruction

Input a point of a line with the left mouse button. Input the other point with the left button. Then, input position with the left mouse button on where the linear dimension will be put. Input value is the distance between coordinates of Logical Unit. (See Figure 1)

Diameter Dimension

Á÷°æÄ¡¼ö.bmp (2054 bytes)

Inputs the diameter

  • Input Method

Shortcut Key: Alt+Shift+D

Menu: Markup - Diameter dimension

  • Supportable Format

3D CAD

  • Instruction

Input a point of an arc or a circle with the left mouse button where the diameter input is needed. Then, rubber band will appear from the center point. Input position with the left mouse button on where the dimension of the diameter will be put. Input value is the distance between coordinates of Logical Unit. (See Figure 1)

Radius Dimension

¹Ý°æÄ¡¼ö.bmp (2054 bytes)

Inputs the Radius.

  • Input Method

Shortcut Key: Alt+Shift+R

Menu: Markup - Radius dimension

  • Supportable Format

3D CAD

  • Instruction

Input a point of an arc or a circle with the left mouse button where the radius input is needed. Then, rubber band will appear from the center point. Input position with the left mouse button on where the dimension of the radius will be put. Input value is the distance between coordinates of Logical Unit. (See Figure 1)

MarkUpMeasure.bmp (1440054 bytes)

Figure 1. Markup Dimension

Angular Dimension

°¢µµÄ¡¼ö.bmp (2054 bytes)

Inputs the angular dimension

  • Input Method

Shortcut Key: Alt+Shift+A

Menu: Markup - Angle dimension

  • Supportable Format

3D CAD

  • Instruction

Input a point of a line where the angular dimension is needed with the left mouse button. Input the other line with the left button. Then, input position with the left mouse button on where the angular dimension will be put.


Distance

°Å¸®ÃøÁ¤.bmp (2054 bytes)

Measures the distance between 2 points in CAD Data. This menu is available in snap mode. When selecting this menu, the search window pops up and displays the coordinates of two points as well as the distance.

  • Input Method

Shortcut Key: Ctrl + Alt + D

Menu: Measurement - Distance

  • Supportable Format

3D CAD + CATIA + STL + 2D CAD + HPGL + Gerber

  • Instruction

When snap mode is needed, choose snap mode first and select a point. After selecting the other point the coordinates of two points as well as the distance will occur on the search window.

  • Example

Let¡¯s measure the length of an axis. (Figure 1) Set snap mode to center (See snap mode instruction) and select a point on the axis of the blade. Then, select the end point of a cylinder on the other side of the axis. (Figure 2, upper point) Line connecting these two pints will occur in the screen, and the coordinates of two points as well as the distance between two points will show up on the search window. (See figure 3)

Figure 1. Distance - First Point

Figure 2. Distance - Second Point

DistanceMeasureSave.bmp (1440054 bytes)

Figure 3. Distance - Result


Position

À§Ä¡ÃøÁ¤.bmp (2054 bytes)

Finds the coordination of a point. For better accuracy, snap mode is applied to this function. After selecting this function, the search window occurs in order to show the information of a point.

  • Input Method

Shortcut Key: Ctrl + Alt + P

Menu: Measurement - Coordination

  • Supportable Format

3D CAD + CATIA + STL + 2D CAD + HPGL + Gerber

  • Instruction

When snap mode is needed, choose snap mode first and select a point. Then, the coordination of that point will occur in the separate window.


Property

¼Ó¼ºÃøÁ¤.bmp (2054 bytes)

Shows the information of the entity in the status of CAD data on the search window.

  • Input Method

Shortcut Key: Ctrl + Alt + E

Menu: Measurement - Element measure

  • Supportable Format

3D CAD + CATIA + STL + 2D CAD + HPGL + Gerber

  • Instruction

After choosing this function, select an element. Then, the information of that entity will occur in the separate window.


Radius/Curvature

°î·ü¹Ý°æ.bmp (2054 bytes)

Measures the curvature of a curve and its corresponding radius.

  • Input Method

Shortcut Key: Ctrl + Alt + R

Menu: Measurement - Curvature

  • Supportable Format

3D CAD

  • Instruction

When snap mode is needed, choose snap mode first and select a point. Then, the search window occurs in order to show the information of that entity.


Surface Quality

Displays and calculates all the curvature value of the existing curves.

  • Input Method

Shortcut Key: Ctrl + Alt + Q

Menu: Measurement - Surface Quality

  • Supportable Format

3D CAD

  • Instruction

The continuous color distribution occurs with the minimum and maximum values of the surface curvature distribution that are calculated. The distribution of the displayed colors can be controlled with the arrow keys on the keyboard. Through this change in color distribution, the user can easily see the degree of minimum change in surface curvature distribution in a particular part. (Figure 1)

Figure 1. Surface Quality


STL Measure

Measures Distance/Angle/Arc/Vertex/Edge/Facet about STL file. STL measure presents the dynamic navigation function for user¡¯s convenience. When this function is operated, dialog will occur as shown below (Figure 1), and users can select details of measurement on the menu.

  • Input Method

Menu: Measurement - STL measure

  • Supportable Format

STL

  • Instruction

First of all, choose measure type. Then, proper 'From' and 'To' will be designated. Select or input 'From' and 'To'. In this process, 'From' means the snap mode of the first point, and 'To' indicates the snap mode of the second point.

STLMeasureDlg.bmp (92166 bytes)

Figure 1. STL Measure Dialog

STLDistance1.bmp (1440054 bytes)

Figure 2. STL Distance - First Point

  • Example 1 Measuring the distance between two center points

Let's measure the distance between small holes on the object shown above. (Figure 2) First, operate STL measure function. On the 'STL Measure Dialog', change 'From' and 'To' to 'Arc Center'. (Figure 2) Move the mouse to the outline of a hole to activate dynamic navigation function and to select the center. With the same method, select the other center of the second hole. After the center input is finished, markup data will show up as well as the distance between two points and the coordination of the centers on the message widow.

STLDistance2.bmp (1440054 bytes)

Figure 3. STL Distance - Second Point

STLDistance3.bmp (1440054 bytes)

Figure 4. STL Distance - Result

  • Example 2 Measuring the angle between two facets

Change 'Measure Type' to 'Angle', and select 'Facet' for 'From' and 'To'. (Figure 5) Move the mouse to the desired facet that will change color as shown and select it by pressing the left mouse button. Choose the next facet with the same process, and the calculated angle between two facets will show up on the message window.

STLangle1.bmp (1440054 bytes)

Figure 5. STL Angle - First Point

STLangle2.bmp (1440054 bytes)

Figure 6. STL Angle - Second Point

  • Example 3 Finding the center and the radius of a circle.

Choose 'Measure Type' to 'Arc'. There is only one option 'Auto' so that users do not need to select any. (Figure 7) Move the mouse to the outline of a circle, and dynamic navigation will automatically shows the selection as shown in figure 2. Click the left mouse button to confirm the selection. The result will show up on the message window as shown in figure 7

STLArc.bmp (1440054 bytes)

Figure 7. STL Arc


Sanp Mode - Entity

¿ä¼Ò.bmp (2054 bytes)

Applies the point that a user selects. As a result, this function operates as if all the snap modes are turned off.

  • Input Method

Menu: Measurement - Entity

  • Supportable Format

3D CAD +CATIA+STL

Sanp Mode - End

¿ä¼Ò³¡.bmp (2054 bytes)

Snaps to an end point closest to the mouse point of a selected curve or line.

  • Input Method

Menu: Measurement - End

  • Supportable Format

3D CAD +CATIA+STL

Sanp Mode - Middle

¿ä¼ÒÁß°£.bmp (2054 bytes)

Snaps to a midpoint of a selected curve or line.

  • Input Method

Menu: Measurement - Midpoint

  • Supportable Format

3D CAD + CATIA + STL

Sanp Mode - Center

¿ä¼ÒÁß½É.bmp (2054 bytes)

Snaps to a center point of a selected arc, or snaps to a center point of a selected NURB curve.

  • Input Method

Menu: Measurement - Center

  • Supportable Format

3D CAD +CATIA


Text Search

Å½»ö.bmp (2054 bytes)

Finds text or document files. Text Search offers different functions according to the file types. For PDF and TEXT file including MS-Office document, Text Search dialog shows up. After the input of desired text, it searches all the texts of the document and moves to the first outcome. After this, if 'Next' or 'Previous' button gets pressed, it continuously moves based on the position of the mouse input.

  • Input Method

Shortcut Key: Ctrl + F

Menu: Text Search - Text Search

  • Supportable Format

MS-OFFICE + PDF + TEXT

searchDlg.bmp (113054 bytes)

Figure 1. Search Text Dialog

Previous

ÀÌÀüÀ¸·Î.bmp (2054 bytes)

Next

ÀÌÈÄ·Î.bmp (2054 bytes)

Moves to the previously searched text continuously as the button gets pressed.

  • Input Method

Shortcut Key: Ctrl + B (Previous), Ctrl + N (Next)

Menu: Text Search - Previous, Text Search - Next


Move Page

Ã³À½À¸·Î.bmp (2054 bytes) ÀÌÀü.bmp (2054 bytes) ÀÌÈÄ.bmp (2054 bytes) ¸ÇµÚ·Î.bmp (2054 bytes)

Moves page to page. Move Page offers different functions according to the file types. In case of MS-Office, TEXT, and PDF files, moves to the next page one by one. Input page on the Move Page dialog, then, it directly goes to the corresponding page. (Figure 1)

searchPage.bmp (53514 bytes)

Figure 1. Page Search

  • Input Method

Menu: Page- Move Page

  • Supportable Format

MS-Office+PDF+TEXT


Option

Since WiseVIEW supplies various file formats, it is necessary for a user to set his or her own environment in order to achieve the maximum work condition. For example, a user must add or subtract menu for the tool bar according to the frequency in use.

Changes that are made in the environment setup are saved as WiseVIEW. Ini. File, and maintains the last environment when started again. However, it is hardly recommended to change WiseVIEW. Ini. file directly. When system is improperly shut down, changes of the environment setup may not be saved.

For the environment setup of WiseVIEW plug-In or WiseVIEW ActiveX Control, changes also apply to Plug-In and ActiveX Control if saved after setting up the environment in WiseVIEW application


Customize

Enables a user to create his or her own menu structure.

memuModifyDlg.bmp (464778 bytes)

Figure 1. Customize Dialog - Toolbars

  • Adding to toolbar

On the dialog above, if press New button, New Tool Bar dialog will occur. If input the tool bar name and press OK button, corresponding Tool Bar dialog will show up. On the menu-adjusting dialog, change its tap with Commands. Then, click the desired icon and drop on the new tool bar to add. Repeat above process to create the tool bar with the desired icons. WiseVIEW tool bar can be displayed as popup window style.

NewToolbar.bmp (110502 bytes)

Figure 2. New Toolbar

  • Delete toolbar

WiseVIEW provides 8 basic tool bars as below

  • File toolbar
  • Page toolbar
  • Supplementary toolbar
  • Letter searching toolbar
  • Special toolbar
  • Markup toolbar
  • View toolbar

Tool bars that are added by a user can be deleted. However, 8 basic tool bars listed above can be deleted or removed. When a user created tool bar is selected, Reset button automatically changes to Delete button on the Customize dialog. Press this button to delete.

  • Supportable format

ALL

MenuModifyDlg2.bmp (464778 bytes)

Figure 3. Customize - Commands


Environment

setting.bmp (2054 bytes)

WiseVIEW provides options listed below on the Environment Setup dialog.

  • Environment setup tap
  • Markup setup tap
  • HPGL Pen tap
  • Color On/Off tap
  • Color Layer tap
  • Gerber tap

On the Environment Setup tap, options listed below can be changed.

Background Color

Changes the background color of the active window. To apply to all windows that are opened, press Apply To All button.

  • Input Method

Menu: Option - Environment - background color

  • Supportable Format

CAD + Image

environment.bmp (411210 bytes)

Figure 1. Environment

Entity Color

Changes the entity color or recovers the original color of the entity.

  • Input Method

Menu: Option - Environment - Entity color - one color

Menu: Option - Environment - Entity color - original color

  • Supportable Format

CAD

Window Zoom In/Out Ratio

Sets the ratio of zoom in/out/move. WiseVIEW offers shortcut keys to these functions; Zoom in (F7), Zoom out (F8), and Move (Move key). Screen Move value is decided by the rate of entire screen. Default values are Zoom in (2), Zoom out (0.5), and Move (0.25). In other words, if press Move key 4 times, one screen moves.

  • Input Method

Menu: Option - Environment - ratio

  • Supportable Format

CAD+Image

AutoCAD Font Path

Since users can define AutoCAD fonts, it is quite difficult for WiseVIEW to support even those fonts that are determined by users. However, as AutoCAD font path is provided to support all the fonts, if users inform about AutoCAD fonts, it can show accurate shapes of them. Default value is font$acadfont under WiseVIEW installation directory. Therefore, users only have to either copy AutoCAD font (*.shx) file to WiseVIEW.O$font$acadfont directory or assign AutoCAD font directory with this function.

  • Input Method

Menu : Option - Environment - AutoCAD Font Path

  • Supportable Format

AutoCAD

MagicCAD Font Path

Since the fonts that are generally used in CAD are the same as those of MagicCAD and WiseCAD, if WiseCAD is installed, just assign path without installing through WiseVIEW.

  • Input Method

Menu: Option - Environment - MagicCAD Font Path

  • Supportable Format

2D CAD


Markup

Offers setup for markup entity and assigns color, text size, approval file path, and etc.

Color

Color, text, dimension line and more can be assigned. For entity color, line, circle, rectangle, leader, complex leader, approval sign and more can be assigned. For color of dimension line, linear dimension, diameter, radius, and angular dimension can be assigned. For text color, markup text, leader text, and dimension text can be assigned.

  • Input Method

Menu: Option - Markup - Color

  • Supportable Format

CAD+Image

markupSetting.bmp (411210 bytes)

Figure 1. Markup Setup

Text and Leader

Sets up text size and arrow size of leader. For text-related setup, text height, inclination, spacing rate, and text angle can be setup. If With Consistent Ratio of Screen button is not selected, setup values will be applied, and if selected, they will not be applied.

If With Consistent Ratio of Screen button is selected, markup entities get created with the window Pixel unit. In other words, if this button is selected, entities get created or marked up with the consistent size. If a user operates this function, he or she doesn¡¯t have to assign size of markup text and leader one by one.

  • Input Method

Menu: Option - Markup - Text and Leader

  • Supportable Format

CAD + Image

Signature Path

Selects a HP-GL file to be used for approval signature.

  • Input Method

Menu: Option - Markup - Signature Path

  • Supportable Format

CAD+Image


HPGL Pen

Recovers the color and line thickness of the CAD data entity. When CAD data is transformed to HPGL to be read with viewer, the entity color often gets lost. For example, although 0.0 mm line is used for the entity outline, when saved as HPGL, the outline often changes to 0.3mm of Pen1. In this case, If Pen1 assigns white thickness to 0.0mm with HPGL Pen setup, it can be recovered to the original information. Setup is possible from 1 to 16pen, and default is available from pen 17. If a user want to use input value in HPGL setup and ignore pen thickness, he or she can select Use Setup Value of Width.

  • Input Method

Menu: Option - HPGL Pen

  • Supportable Format

HPGL

hpglSetting.bmp (411210 bytes)

Figure 1. HPGL Pen

Color On/Off

Turns on/off color display. Offers 16 default colors.

  • Input Method

Menu: Option - Color On/Off

  • Supportable Format

2D CAD

colorOnOff.bmp (411210 bytes)

Figure 2. Color On/Off

Color Layer

Registers number of colors as one layer or displays specific layer only. It helps inspecting complicated files including PCB (Multi Layer PCB).

  • Input Method

Menu: Option - Color Layer

  • Supportable Format

2D CAD

colorLayer.bmp (411210 bytes)

Figure 3. Color Layer


Untitled

Aperture Define

WiseVIEW supports Gerber RS - 274D and 274X version. Due to the special quality of Gerber data, aperture must be assigned. When a user does not determine aperture, 0.0 thickness is assigned for D code from No.10 to No.999. If a user wants to check Gerber that he or she created, when Gerber gets created, he or she has to add the same D code value as used to Gerber Setup dialog. Adding Value is available from 10, and the rest value gets automatically assigned when inputting Inch or Mili-Meter. Warning message occurs if a user inputs the same value repeatedly. In addition, a user with MagicCAD or WiseCAD can just press Input from File button to create D code without inputting gerber.ap or other aperture file (*.ap) one by one.

If the same D code value is setup in both WiseVIEW and Header of Gerber data file, uses D code value in the file.

  • Input Method

Menu: Setting-Gerber

  • Supportable Format

Gerber

Figure 1. Aperture Define

ETC

  • OpenGL Display Option

WiseVIEW uses OpenGL Display buffering technology to speed up displaying speed. Default Setting is "On". But some graphic interface card such as "Trident Blade3D" can make problems in WiseVIEW. In this time, turn off this option.

  • IGES Read Option

WiseVIEW supports two ways to read IGES files. Default setting is the method by file pointer ("Off"). But in the system which has sufficient memory, if user turn on this option, the speed of reading IGES files may be up.

  • Keep Markup Command

If user checks this option, user can use Markup Command continuously.

  • Character Set for Text Files

In reading Text files, user can choose the character set for that file.

  • Encoding Mode for HTML

Same as Character Set

  • 2Byte Vector Font for CAD Interface

When WiseVIEW read the file which contains 2Byte font, user can choose the 2Byte vector font type(In Korean or Japanese).

Figure 2. ETC Tab


Appendix

A-1 WiseVIEW Plugin

WiseVIEW offers Plugin version (npunive.dll) to use WiseVIEW with Internet Browsers such as Nescape and Internet Explorer.

1. Installation of WiseVIEW Plugin

WiseView automatically reads the installed Internet browsers during the installation, and let¡¯s you select the browser. The Installation program automatically installs Plugin to the selected browser.

To install Plugin separately, you should copy the Plugin files (npunivw.dll, uvobj.dll, uv2dobj.dll ,uv2dobj .dll) from WiseVIEW directory to the Plugin directory of the desired browser.

When WiseVIEW Plugin installation is completed, you can check the installed Plugin information in Nescape browser through About Plug- ins menu under Help menu.

Figure 1. About Plug-in

2. Usage and functions of WiseView Plugin

2-1. Instruction of wiseVIEWPlugin

In general, Plugin consists of Full Frame Mode and Embedded Mode. Full Frame Mode is used for reading files besides HTML documents directly through browser, and Embedded Mode is for reading files existing inside HTML documents as it gets activated inside the document. Figure 2 shows the result of Full Frame Mode reading the AutoCAD file through Nescape.

Figure 2. Plug-in Example ( Full Frame Mode )

Embedded Mode

When Plugin is operated for reading the specific file inside HTML document, tags listed below are used.

<embed name= "extension" src= "file name" height = "height" width= "width">

*explanation

<embed>: tag for activating Plugin

name: indicates extender. WiseVIEW Plugin offers extenders listed below

Stl, model, igs, iges, step, dwg, dxf, doc, xls, ppt,mdl, mdw, tif, jpg, bmp, wmf, gl, gl2, hpgl, gul, hwp, gbr, gb

src: file name, height: height of window, width: width of window

*Example: <embed name= "hpgl" SRC= "deck.hpgl" height= "400" width= "500" >

Figure 2. Plug-in Example ( Embeded Mode )

2-2. Functions of WiseVIEW Plug-in

WiseVIEW Plugin offers all the functions of WiseVIEW application through tool bars and context menu.

WiseVIEW Plugin tool bar is composed of fundamental file input/output menu, screen control functions such as Zoom in/out and Dynamic View, Text Search functions, Rending mode selection menu, and etc. Besides basic tool bar, other tool bars can be used through context menu that occurs when clicking the left mouse button.

WiseVIEW Plugin provides separate context menu according to the condition of menu. If you press the left mouse button on the active drawing area of WiseVIEW Plugin, context menu shows up according to the condition of selected menu at the moment, and you can operate the same functions as WiseVIEW application by selecting them.


Untitled

A-2 WiseVIEW ActiveX Control

WiseVIEW offers ActiveX Control( WiseVIEW.ocx) version.

1. Registration of WiseVIEW ActiveX Control

Installation program automatically registers WiseVIEW ActiveXcontol. You can also register by yourself using the Dos command below.

  • Regsvr 32.exe wiseview.ocx

2. Usage of WiseVIEW ActiveX Control

When WiseVIEW ActiveX Control is correctly installed, you can use it by inserting it into your own program through Visual C+, Visual Basic, Power Builder, and etc.

Figure 1 is an example of reading STL file through ActiveX Control Test Container program (tstcon32.exe) of C++ after inserting WiseVIEW ActiveX Control.

3. Method of WiseVIEW ActiveX Control

WiseVIEW ActiveX Control provides file input/output related Method, menu control related Method, Tool bar and Status bar control Method, text search related Method, and more for efficient integration with other systems

    3.1 File input/output Method

LoadFile

Declaration:

BOOL LoadFile (LPCTSTR fileName);

Arguments:

fileName : name of the file you want to open

Description: This Method is used for reading the specific file and closes the previously opened file. If it reads the corresponding file correctly, return TRUE, and if not, return FALSE.

OpenURL

Declaration:

BOOL Open URL (LPCTSTR fileName);

Arguments:

fileName: name of the file you want to open

Description:

This Method is used for loading the file of another IP Address and closes the previously opened file. If it reads the corresponding file correctly, return TRUE, and if not, return FALSE.

LoadDXF

Declaration:

Short LoadDXF (LPCTSTR fileName);

Arguments:

FileName : name of DXF file of AutoCAD you want to open

Description:

This Method is used for reading AutoCAD DXF file and closes the previously opened file. If it reads the corresponding file correctly, return TRUE, and if not, return FALSE.

LoadMVLPage

Declaration:

BOOL LoadMVLPage (LPCTSTR fileName, LPCTSTR page)

Arguments:

FileName : name of MVL file you want to open

Page: Specific page of MVL file you want to open

Description:

This Method is used for reading the specific page of MVL file. If it reads correctly, return TRUE, and if not, return FALSE.

GotoPageinMVL

Description:

BOOL GotoPagein MVL (LPCTSTR page);

Arguments:

Page : specific page

Description:

This Method is used for moving to the specific page of MVL file. If it moves correctly, return TRUE, and if not, return FALSE.

ProtectFile

Declaration:

BOOL ProtectFile (LPCTSTR fileName);

Arguments:

FileName: name of the file you want to open with Protect Mode

Description:

This Method is used for reading the specific file with Protect Mode. You cannot copy or delete file, and if WiseVIEW gets shut down or another file is read, current file gets deleted.

SetReadOption

Declaration:

void SetReadOption (BOOL bNewValue);

Arguments:

bNewValue: it is a kind of variable that decides whether the current file should be set up as read only file or not. If TRUE, it sets up as read only, and if FALSE, it cancels read only.

Description:

This Method is used for setting up current file as read only file. If file gets fixed as read only, you cannot save or print.

GetReadOption

Declaration:

BOOL GetReadOption ();

Description:

This Method is used for checking read only status. If the current file gets set up as read only, return TRUE, and if not, return FALSE.

Print()

Declaration:

Void Print ();

Description:

This method is used for printing the current file.

SetPrintScale

Declaration:

BOOL SetPrintScale (BOOL bFit , double scale);

Arguments:

bFit : it is a kind of variable that decides whether the file should be printed fit to the printing paper size.

scale: it is a kind of variable that sets the printing ratio of the file

Description: This Method is used for setting the printing ratio of the file. If you want to print with the specific ratio, you should set bFit(FALSE) and scale.

SetHeader

Declaration:

BOOL SetHeader (LPCTSTR header);

Arguments:

header : text of header

Description:

This Method is used for setting the text of header

SetFooter

Declaration:

BOOL SetFooter (LPCTSTR footer);

Arguments:

footer: text for footer

Description:

This Method is used for setting the text of footer

SetFooterHeight

Declaration:

BOOL SetFooterHeight (int pixel);

Arguments:

Pixel: text size of header and footer, pixel unit

Description:

This Method is used for setting text size of header and footer.

SetFooterFont

Declaration:

BOOL SetFooterFont (LPCSTR footer);

Arguments:

footer : name of the font for header and footer, Default: Arial font

Description:

This Method is used for setting the font of header and footer.

DirectPrint

    Declaration:

    BOOL DirectPrint();

    Description:

    Print directly without opening print option dialog.

SetDPrintAsFile

    Declaration:

    BOOL SetDPrintAsFile(BSTR output);

    Arguments:

    output : the name of output file

    Description:

    It is used with the function "DirectPrint". Print out as the file.

SetDPrinter

    Declaration:

    BOOL SetDPrinter(BSTR printer);

    Arguments:

    printer : the name of printer

    Description:

    Setup the printer.

SetDPrintPaper

    Declaration:

    BOOL SetDPrintPaper(BSTR paper);

    Arguments:

    paper : the size(ex: A4,A3,B4,B3,Letter..)

    Description:

    choose the size of paper

SetPrintOffset

    Declaration:

    BOOL SetPrintOffset(double xoffset, double yoffset);

    Arguments:

    xoffset: the offset value of x-coordinate

    yoffset: the offset value of y-coordinate

    Description:

    set up the offset

SetDPaperOrientation

    Declaration:

    BOOL SetDPaperOrientation(short flag);

    Arguments:

    flag: the direction of paper(0: default, 1: Portrait, 2: Landscape)

    Description:

    choose the direction of paper

SetDFaxNumber

    Declaration:

    BOOL SetDFaxNumber(BSTR number);

    Arguments:

    number: the fax number

    Description:

    set up the fax number when user want to print out to fax server.

SetDFaxServer

    Declaration:

    BOOL SetDFaxServer(BSTR servername);

    Arguments:

    servername: the name of Fax Server

    Description:

    choose the fax server

AddWaterMark

    Declaration:

    short AddWaterMark(double x, double y, double h, double a, double d, BSTR str);

    Arguments:

    x: x-coordinate value of start point(unit: mm, origin: left and bottom )

    y: x-coordinate value of start point(unit: mm, origin: left and bottom )

    h: the height of string (unit: mm)

    a: the angle of string (unit: degree)

    d: the density of string(unit: %)

    str: string to be printed

    Description:

    This method is used to print string in the specified position of paper.

RemoveAllWaterMark

    Declaration:

    short RemoveAllWaterMark();

    Description:

    This method is used to remove the previous string.

Unload

    Declaration:

    short Unload();

    Description:

    This method is used to close the opened file.

GetTotalPage

    Declaration:

    short GetTotalPage();

    Description:

    This method is used to return the number of page.

GetCurrentPage

    Declaration:

    short GetCurrentPage();

    Description:

    This method is used to return the current page.

SetCurrentPage

    Declaration:

    boolean SetCurrentPage(short curPage);

    Arguments:

    curPage : Current Page

    Description:

    This method is used to move to the specified page.

SetDWGReadOption

    Declaration:

    short SetDWGReadOption(short nFlag);

    Arguments:

    nFlag: Read Option of AutoCAD DWG (0 : Fast Read, 1 : Fast Display, 2 : Simple Display)

    Description:

    This method is used to choose the read option of AutoCAD DWG.

3.2 Method related to word search

For MS office documents, WiseVIEW provides the function for searching and moving the specific word

SearchDialog

Declaration:

BOOL SearchDialog ();

Description:

This Method is used for activating Search dialog.

Search

Declaration:

BOOL Search (LPCTSTR word);

Arguments:

Word: specific word that you want to search

Description: This Method is used for searching the specific word without activating Search dialog

SetMatchCase

Declaration:

Void SetMatchCase (BOOL bNewValue );

Arguments:

bNewValue: it is a kind of variable that decides whether word should be classified for capital letter and small letter or not. If TRUE, it classifies capital letter from small letter, and if FALSE, it doesn't.

Description: This Method is used for deciding whether word should be classified for capital letter and small letter or not.

GetMatchCase

Declaration:

BOOL GetMatchCase ();

Description: This Method is used for obtaining information about the capital and small letter classification. If TRUE, it classifies capital letter from small letter, and if FALSE, it doesn't.

First

Declaration:

BOOL First();

Description:

This Method is used for going back to the position of the first word among all that have been currently searched.

Last

Declaration:

BOOL Last ();

Description:

This Method is used for moving to the position of the last word among all that have been currently searched.

Next

Declaration:

BOOL Next();

Description:

This Method is used for moving to the next word from the current position among all that have been currently searched.

Prev

Declaration:

BOOL Prev();

Description:

This Method is used for moving to the previous word from the current position among all that have been currently searched.

3.3 Display

EnableToolBar

Declaration:

BOOL EnableToolBar (BOOL bEnable);

Arguments;

bEnable : it is a kind of variable that selects whether basic tool bar should be used or not. If TRUE, it uses, and if FALSE, it doesn't.

Description: This Method is used for deciding whether basic tool bar should be used or not. WiseVIEW ActiveX Control offers basic tool bar with fundamental file input/output menu, view menu, and word search menu.

EnableStatusBar

Declaration:

BOOL EnableStatusBar (BOOL bEnable );

Arguments:

bEnable : it is a kind of variable that selects whether basic status bar should be used or not. If TRUE, it uses, and if FALSE, it doesn't.

Description: This Method is used for deciding whether basic status bar should be used or not. Basic status bar is supposed to be not used as default. WiseVIEW ActiveX Control offers basic status bar showing the file names and the coordinates.

DisplayCoord

Declaration:

BOOL EnableStatusBar (BOOL bShow);

Arguments:

bShow: it is a kind of variable that decides whether display of the 3D coordinates should be used or not. If TRUE, it uses, and if not, it doesn't.

Description: This Method is used for deciding whether display of the 3D coordinates which shows the view point during the rotation of 3D drawing should be used or not.

SetPickMode

Declaration:

BOOL SetPickMode ();

Description: WiseVIEW offers the function that finds the coordinate of the specific part of drawing, and SetPickMode changes the status of menu to the finding the coordinates mode. In finding the Coordinates mode, if you select the specific part of drawing with the mouse, void PickPosition(double x, double y, double z) event occurs. x,y,z indicates the coordinates of a point which you select with the mouse.

3.4 Event Control

SendMessage

Declaration:

BOOL SendMessage(LPCTSTR Command);

Arguments:

Command: String value to control menus. Corresponding menus are listed below.

Description:

This Method is used for controlling all the application menus in WiseVIEW ActiveX Control.

4. Samples of WiseVIEW ActiveX Control

This selection presents the sample of applying WiseVIEW ActiveX Control by using Visual C++ and Visual Basic.

4-1. Visual C++ 4.0

  • interface/activex/ActiveXTest.mdp

Step 1) creating application

Create application of Dialog based type with MFC AppWizard

Step 2) inserting WiseVIEW ActiveX Control

Insert WiseVIEW ActiveX Control into Project through Component menu in Insert menu

CUvOCX class gets created. (uvocx.h, uvocx.cpp)

WiseVIEW Control appears in Control panel, and insert into WiseVIEW Control dialog through general methods such as button control.

CUvOCX m_WiseVIEW

// ActiveXTestDlg.h

DDX_Control(pDX, IDC_WiseVIEW_CTRL, m_WiseVIEW)

// ActiveXTestDlg.cpp - DoDataExchange

Step 3) Control of WiseVIEW ActiveX Control

Make corresponding button to use Method of LoadFile, Print, EnableToolBar, EnableStatusBar, and SendMessage.

The sources of Click event are as follows.(ActiveXTestDlg.cpp)

void CActiveXTestDlg::OnLoadfile()

{

CfileDialog fdlg(TRUE, NULL, NULL, OFN_HIDEREADONLY, "*.*");

if(fdlg.DoModal() == IDOK)

{

Cstring path = fdlg.GetPathName();

m_WiseVIEW.LoadFile(path);

}

}

void CActiveXTestDlg::OnSendmessage()

{

CEdit* pEdit;

char msgStr[64];

pEdit = (CEdit*) GetDlgItem(IDC_TXT_MSG);

pEdit->GetWindowText(msgStr, 64);

m_WiseVIEW.SendMessage(msgStr);

pEdit->SetWindowText("");

}

void CActiveXTestDlg::OnEnableStatusbar()

{

m_bShowStatusbar = !m_bShowStatusbar;

m_WiseVIEW.EnableStatusBar(m_bShowStatusbar);

}

void CActiveXTestDlg::OnEnableToolbar()

{

m_bShowToolbar = !m_bShowToolbar;

m_WiseVIEW.EnableToolBar(m_bShowToolbar);

}

void CActiveXTestDlg::OnPrint()

{

m_WiseVIEW.Print();

}

Step 4) Sample of program performance

figure 1. Sample of ActiveXTest.exe performance(Visual C++)

4-2. Visual Basie 5.0

  • interface/activex/vb/ActiveXTest.vbp

Step 1) Creating application

Create project as "standard Exe" type

Step 2) inserting wiseView ActiveX Control

Through composition element menu in Project menu, insert WiseVIEW ActiveX Control into Project.

WiseVIEW Control appears in Control panel, and insert into form through general methods such as button control. Declare the appropriate name of inserted control.

Step 3) Control of wiseVIEW ActiveX Control

Make corresponding button to use Method of LoadFile, Print, EnableToolBar, EnableStatusBar, and SendMessage.

The sources of Click event are as follows.(ActiveXTest.frm)

Dim bToolbar As Boolean

Dim bStatusbar As Boolean

Private Sub Btn_EnableStatusBar_Click()

bStatusbar = Not bStatusbar

WiseVIEWCtrl.EnableStatusBar bStatusbar

End Sub

Private Sub Btn_EnableToolBar_Click()

bToolbar = Not bToolbar

WiseVIEWCtrl.EnableToolBar bToolbar

End Sub

Private Sub Btn_Exit_Click()

Unload Me

End Sub

Private Sub Btn_LoadFile_Click()

Dim fileStr As String

fileStr = dhFileDialog (strInitDir:="", strFilter:="All Files(*.*)",

lngFlags:=dhOFN_OPENEXISTING)

If fileStr = "" Then

Exit Sub

End If

WiseVIEWCtrl.LoadFile fileStr

End Sub

Private Sub Btn_Print_Click()

WiseVIEWCtrl.SendMessage "Print File"

End Sub

Private Sub Btn_SendMessage_Click()

WiseVIEWCtrl.SendMessage Txt_Msg.Text

Txt_Msg.Text = ""

End Sub

Private Sub Form_Load()

bToolbar = False

bStatusbar = False

WiseVIEWCtrl.EnableToolBar bToolbar

WiseVIEWCtrl.EnableStatusBar bStatusbar

End Sub

Step 4) Sample of program performance

Figure 2. Sample of ActiveXTest.exe performance(Visual Basic)


A-3 WiseVIEW OLE Automation

Through OLE Automation you can integrate WiseVIEW with other system and use it as OLE Server. You can also easily control WiseVIEW application.

Name used in client of OLE Automation for connecting WiseVIEW

"WiseVIEW.document"

It consists of total 8 Methods listed below

  • short ShowWindow();
  • short LoadFile(LPCTSTR filename);
  • short ProtectFile(LPCTSTR filename);
  • short SetReadOption(short readflag);
  • short SearchString(LPCTSTR str, short addflag, short caseflag);
  • short SetHeader(LPCTSTR comment);
  • BOOL SetFooter(LPCTSTR footer);
  • BOOL SendMessage(LPCTSTR Command);

1. WiseVIEW OLE Automation Method

ShowWindow

Declaration:

short ShowWindow();

Description:

This Method is used for showing WiseVIEW window.

LoadFile

Declaration:

short LoadFile (LPCTSTR fileName);

Arguments:

fileName: name of the file you want to open

Description: This Method is used for reading the specific file and closes the previously opened file. If it reads the corresponding file correctly, return TRUE, and if not, return FAlSE

ProtectFile

Declaration:

short ProtectFile (LPCTSTR fileName);

Arguments:

fileName: name of the file you want to open with Protect Mode.

Description: This Method is used for reading the specific file with Protect Mode. You cannot copy or delete file, and if WiseVIEW gets shut down or another file is read, current file gets deleted.

SetReadOnly

Declaration:

short SetReadOption (short readflag);

Arguments:

readflag: it is a kind of variable that decides whether the current file should be set up as read only file or not. If TRUE, it sets up as read only, and if FALSE, it cancels read only.

Description: This Method is used for setting up current file as read only file. If file gets fixed as read only, you cannot save or print.

Search

Declaration:

short SearchString(LPCTSTR str, short addflag, short caseflag);

Arguments:

str: specific word that you want to search

addflag: flag that decides whether previously searched word should be searched again or not.

caseflag: flag that decides whether word should be classified for capital letter and small letter or not.

Description: This Method is used for searching the specific word without activating Search dialog

SetHeader

Declaration:

short SetHeader (LPCTSTR header);

Arguments:

header: text of header

Description:

This Method is used for setting the text of header

SetFooter

Declaration:

BOOL SetFooter(LPCTSTR footer);

Arguments:

Footer: text for footer

Description:

This Method is used for setting the text of footer

SendMessage

Declaration:

BOOL SendMessage(LPCTSTR Command);

Arguments:

Command: String value to control menus.

2. Samples of WiseVIEW OLE Automation

2-1. Visual C++ 4.0

  • interface\ole\vc\OLETest.mdp

Step 1) Creating application

Create application of Dialog based type with MFC AppWizard

Step 2) Adding WiseVIEW Type Library

Add WiseVIEW.tlb file in bin directory of WiseVIEW installation directory through From an OLE Typlib in Add Class button of ClassWizard.

Class of IWiseVIEW gets created.(wiseview.h, WiseVIEW.cpp)

Step 3) Creating and declaring WiseVIEW OLE Automation objects.

#include "WiseVIEW.h" ///OLETestDlg.h

class COLETestDlg : public Cdialog

{

...

IWiseVIEW m_WiseVIEW;

...

}

BOOL COLETestDlg::OnInitDialog() //OLETestDlg.cpp

{

...

COleException* pError=NULL;

if (!m_WiseVIEW.CreateDispatch(_T("WiseVIEW.Document"),pError))

{

AfxMessageBox("WiseVIEW is impracticable!");

}

...

}

Step 4) Sample of WiseVIEW OLE Automation object control

OLETest performance file creats WiseVIEW OLE object when initiated for the first time.

Select Method. Set corresponding variable and control object by pressing Operate button.

2-2. Visual Basic 5.0

  • interface\ole\vb\OLETest.vbp

The way of creating and declaring WiseVIEW OLE Automation object is as follows. For Visual Basic, you don't have to add separate library file.

Dim SERVER As Object //Declare Object

Set SERVER = CreateObject("WiseVIEW.Document") //Create Object


A-4 License Registration

You can buy either Local license or Network license to use WiseVIEW original version. After the purchase you can get authority code from Technique Support Center and start using.

1. Local License Registration

1.1. Way to apply

Call WiseCAD Technique support Center and tell your serial number of the product as well as installed hardware number. Then, you can receive your authority code.

1-2. Way to input

Write the authority code that you received from Technique support Center on the authority code input spot (Figure 1), and click Finish Input button to register and use WiseVIEW as licensed user.

authority.bmp (601974 bytes)

Figure 1. Enter Authority Code

2. Network License Registration

Installation of WiseCAD Family License Manager(mentioned as License Manager below) can be done by operating the process as follows. WiseCAD Family includes WiseVIEW, WiseCAD, WiseMech, and WiseARCH.

2.1. Setting process of server system

Server Step1.Installing License Manager Program

Server Step2.Applying for license code

Server Step3.Inputting License code

ServerStep4.Setting and operating License Manager

2.2. Setting process of client system

Client Step1. Installing WiseVIEW

Client Step2. Assigning License Manager of WiseVIEW

Client Step3. Restarting WiseVIEW

2.3. Installation of License Manager

If you operate Setup. exe of WiseCAD Network-License-Install directory, License Manager of WiseCAD Family gets installed.

When installation is completed, License Manger operates right at the moment, and Setup dialog appears as shown in Figure 2

Since License Manager gets registered in startup program, it operates automatically whenever you activate the system.

Figure 2. WiseCAD Family License Server

2.4. Way to input License code

2.4.1 Applying for Server License Code

Write 12 letters of License server host ID on the Setup dialog (Figure 2) and serial number of the product written on the CD-ROM. Fill out the License application that is included in product package and send it to the business manager of the purchased product. Then, you can receive the License code.

2.4.2 Input Server License Code

Write the code that you received from WiseCAD manager on the space provided for License Key value (Figure 2), and press Add button to check inputted value on the scroll below.

You can only input one License Key value for one server system. Therefore, you can input four at the maximum.

2.4.3 Input Server License Code

Send the "Host ID" to the business manager of the purchased product and receive the License Key Code. Insert the code that you received on the space provided for License Key code and "User Number"(Figure 3), and press"Register" button.

Figure 3. Catia Network License Setting

2.5. Setup and operation of License Manager

When License Key input is completed, change dialog to License Server Move Setup tab and check Log File setup on the tab below.

Figure 4. WiseCAD Family License Server

Since Log File records the contents of License Manager movement, it is a useful file for manger. Log File is designated as 64kB. If it becomes 64KB, it gets reinitiated.

When Setup is completed, operate Check button by pressing Start License Server button. If you operate License Manager, icon ¡¦or icon¡¦.occurs on the Working Mark line enabling you to start/stop service and setup regardless of start of service. Icon with the red dot indicates that a user is connected to the program.


A-5 Smart Update

You can run SmartUpdate by clicking "WiseUpdate.exe" in "bin" directory.

Figure 1. WiseVIEW SmartUpdate utility

A-6 WiseVIEW Plugin Installer

WiseVIEW Plugin Installer

Figure 2. WiseVIEW Plugin Installer